Subject: calloc() more then 140MB under cygwin b19.1?
From: [email-masked]

8 Sep 1998 10:41:55 -0700
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Hi,

I finally was forced to test cygwin b19.1, because my prog runs for hours
under Interix (formerly OpenNT), whereas it's extremely fast under Linux,
using about 300 out of 512MB RAM.

Under b19.1, I get NULL from calloc() after only about 140MB.
Isn't HEAP_CHUNK_SIZE eliminated? At least I got no such messages...

BTW, while I'm typing this, I'm also testing UWIN 1.51 with egcs.
It's not yet finished and took already seven times the CPU of Linux!
Could it be a general NT4.0SP3 alloc/free performance problem?

Bye, Heribert ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".